Package org.eclipse.net4j.util.concurrent

# Class NonBlockingLongCounter

java.lang.Object
org.eclipse.net4j.util.concurrent.NonBlockingLongCounter

public final class NonBlockingLongCounter extends Object

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`NonBlockingLongCounter()`
`NonBlockingLongCounter(long initialValue)`

## Method Summary

Modifier and Type
Method
Description
`long`
`decrement()`
`long`
`getValue()`
`long`
`increment()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NonBlockingLongCounter

public NonBlockingLongCounter()

### NonBlockingLongCounter

public NonBlockingLongCounter(long initialValue)

## Method Details

### getValue

public long getValue()

### increment

public long increment()

### decrement

public long decrement()

Since:
  3.0

### toString

public String toString()

Overrides:
  `toString` in class `Object`